#
# spec file for package rubygem-debase-ruby_core_source
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-debase-ruby_core_source
Version:        3.3.6
Release:        1.1
%define mod_name debase-ruby_core_source
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  fdupes
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://github.com/ruby-debug/debase-ruby_core_source
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-debase-ruby_core_source-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Provide Ruby core source files
License:        MIT

%description
Provide Ruby core source files for C extensions that need them.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LEGAL LICENSE.txt README.md" \
  -f
# MANUAL
# drop files from the git repository
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.gitignore' \) | xargs rm
%fdupes %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_full_name}/
# /MANUAL

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## [3.3.6](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.3.5...3.3.6)
  * ruby-3.4.0-preview2 sources added
  [#]# [3.3.5](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.3.1...3.3.5)
  * ruby-3.4.0-preview1 sources added
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ## [3.3.1](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.3.0...3.3.1)
  * prism headers added for ruby-3.3.0
  [#]# [3.3.0](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.2.3...3.3.0)
  * ruby-3.3.0-preview3 sources removed
  * ruby-3.3.0 sources added
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- ## [3.2.3](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.2.3...3.2.2)
  * ruby-3.3.0-preview3 sources added
  * ruby-3.3.0-preview2 sources removed
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- ## [3.2.2](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.2.2...3.2.1)
  * ruby-3.3.0-preview2 sources added
  * ruby-3.3.0-preview1 sources removed
  [#]# [3.2.1](https://github.com/ruby-debug/debase-ruby_core_source/compare/3.2.1...v3.2.0)
  * ruby-3.3.0-preview1 sources added
  * tags naming changed to the version without v
  [#]# [3.2.0](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.18...v3.2.0)
  * ruby-3.2.0 sources added
  * ruby-3.2.0 preview sources removed
  * ruby-2.0.x sources removed (let's keep 10 last releases here)
  * versioning changed to match current ruby version
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.18
  see installed CHANGELOG.md
  [#]# [0.10.18](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.17...v0.10.18)
  * ruby-3.2.0-preview3 added
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.17
  see installed CHANGELOG.md
  [#]# [0.10.17](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.16...v0.10.17)
  * ruby-3.2.0-preview2 added
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.16
  see installed CHANGELOG.md
  [#]# [0.10.16](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.15...v0.10.16)
  * ruby-2.5.4-p155 added
  * updated `required_ruby_version` to require ruby 2.0
  * ruby-1.9.3 removed
  [#]# [0.10.15](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.14...v0.10.15)
  * ruby-3.2.0-preview1 added
  [#]# [0.10.14](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.13...v0.10.14)
  * ruby-3.1-0-p0 added
  * ruby-3.1.0-preview1 removed
  [#]# [0.10.13](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.12...v0.10.13)
  * ruby-3.1.0-preview1 added
  [#]# [0.10.12](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.11...v0.10.12)
  * ruby-3.0.0-p0 added
  * ruby-3.0.0-preview1 removed
  [#]# [0.10.11](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.10...v0.10.11)
  * ruby-3.0.0-preview1 added
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.14
  see installed CHANGELOG.md
* Tue Sep 14 2021 Dan Čermák <dcermak@suse.com>
- Fix rpmlintrc name & add fdupes call
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.12
  see installed CHANGELOG.md
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 0.10.10
  see installed CHANGELOG.md
  [#]# [0.10.10](https://github.com/ruby-debug/debase-ruby_core_source/compare/v0.10.9...v0.10.10)
  * removed ruby 2.7.0 preview sources to avoid falling back on them for release versions
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.10.9
  see installed CHANGELOG.md
  [#]# [0.10.9](https://github.com/os97673/debase-ruby_core_source/compare/v0.10.8...v0.10.9)
  * ruby 2.7.0 added (contributed by [ViugiNick](https://github.com/ViugiNick))
  [#]# [0.10.8](https://github.com/os97673/debase-ruby_core_source/compare/v0.10.7...v0.10.8)
  * ruby 2.7.0-preview3 added (contributed by [ViugiNick](https://github.com/ViugiNick))
* Mon Dec  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.10.7
  see installed CHANGELOG.md
  [#]# [0.10.7](https://github.com/os97673/debase-ruby_core_source/compare/v0.10.6...v0.10.7)
  * ruby 2.7.0-preview2 added (contributed by [ViugiNick](https://github.com/ViugiNick))
  * ruby location search fixed to work with preview rubies (contributed by [ViugiNick](https://github.com/ViugiNick))
  [#]# [0.10.6](https://github.com/os97673/debase-ruby_core_source/compare/v0.10.5...v0.10.6)
  * ruby 2.6.5 added (contributed by [niw](https://github.com/niw))
  * improved a way the gem detects ruby location [#17](https://github.com/os97673/debase-ruby_core_source/pull/17) (contributed by [niw](https://github.com/niw))
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.10.5
  see installed CHANGELOG.md
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.10.4
  see installed CHANGELOG.md
* Mon Apr 30 2018 factory-auto@kulow.org
- updated to version 0.10.3
  see installed CHANGELOG.md
  [#]# [0.10.3](https://github.com/os97673/debase-ruby_core_source/compare/v0.10.2...v0.10.3)
  * ruby 2.5.1 added (contrinuted by [niw](https://github.com/niw))
* Fri Feb  9 2018 coolo@suse.com
- initial package (version 0.10.2)
